This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 905525 - [abrt] python-bugzilla-0.7.0-3.fc18: base.py:1260:__getattr__:AttributeError: Bug object has no attribute 'None_whiteboard'
[abrt] python-bugzilla-0.7.0-3.fc18: base.py:1260:__getattr__:AttributeError:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:a5aae2d9cb72497dc7b15ac6d9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-29 10:21 EST by Kamil Páral
Modified: 2013-03-22 17:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 17:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2013-01-29 10:21 EST, Kamil Páral
no flags Details
File: core_backtrace (525 bytes, text/plain)
2013-01-29 10:21 EST, Kamil Páral
no flags Details
File: environ (2.95 KB, text/plain)
2013-01-29 10:21 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-01-29 10:21:03 EST
Description of problem:
$bugzilla query --product Fedora --version 18 --reporter kparal@redhat.com --boolean_query 'creation_ts-changedafter-2012-11-29T00:00:00 & creation_ts-changedbefore-2013-01-15T23:59:59' --outputformat='%{id} %{reporter} %{status} %{resolution} %{whiteboard}'

Version-Release number of selected component:
python-bugzilla-0.7.0-3.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/bugzilla query --product Fedora --version 18 --reporter kparal@redhat.com --boolean_query creation_ts-changedafter-2012-11-29T00:00:00 '--outputformat=%{id} %{reporter} %{status} %{resolution} %{whiteboard}'
executable:     /usr/bin/bugzilla
kernel:         3.7.4-204.fc18.x86_64
uid:            1000

Truncated backtrace:
base.py:1260:__getattr__:AttributeError: Bug object has no attribute 'None_whiteboard'

Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 813, in <module>
    main()
  File "/usr/bin/bugzilla", line 736, in main
    print format_field_re.sub(bug_field,opt.outputformat)
  File "/usr/bin/bugzilla", line 726, in bug_field
    val = special_fields[fieldname](b, rest)
  File "/usr/bin/bugzilla", line 720, in <lambda>
    'whiteboard': lambda b,wb: b.getwhiteboard(wb),
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 1381, in getwhiteboard
    return getattr(self,"%s_whiteboard" % which)
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 1260, in __getattr__
    raise AttributeError("Bug object has no attribute '%s'" % name)
AttributeError: Bug object has no attribute 'None_whiteboard'

Local variables in innermost frame:
newname: 'creator'
self: <Bug #881670 on https://bugzilla.redhat.com/xmlrpc.cgi at 0x7f03e31881d0>
oldname: 'reporter'
name: 'None_whiteboard'
refreshed: True
Comment 1 Kamil Páral 2013-01-29 10:21:06 EST
Created attachment 689878 [details]
File: backtrace
Comment 2 Kamil Páral 2013-01-29 10:21:09 EST
Created attachment 689879 [details]
File: core_backtrace
Comment 3 Kamil Páral 2013-01-29 10:21:13 EST
Created attachment 689880 [details]
File: environ
Comment 4 Cole Robinson 2013-02-01 10:09:18 EST
Thanks for the report. Upstream handles that comment line correctly, moving to post.

You can make it work with current packages by changing %{whiteboard} to %{whiteboard:status}
Comment 5 Fedora Update System 2013-02-16 10:21:30 EST
python-bugzilla-0.8.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-bugzilla-0.8.0-1.fc18
Comment 6 Fedora Update System 2013-03-04 17:13:01 EST
python-bugzilla-0.8.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-bugzilla-0.8.0-2.fc18
Comment 7 Fedora Update System 2013-03-05 18:25:01 EST
Package python-bugzilla-0.8.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-bugzilla-0.8.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3447/python-bugzilla-0.8.0-2.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-03-22 17:00:26 EDT
python-bugzilla-0.8.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.